{% load static %}
{% load allauth socialaccount %}
{% get_providers as socialaccount_providers %}
{% block styles %}
  <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">

  <style>
    .madbot_titre{
        color: #343e8f;
        margin: 0 auto;
        max-width: 330px;
        background-color: rgb(255, 255, 255);
      }
    .login {
        width: 500px;
        padding: 5% 0 0;
        margin: auto;
      }
    .formDiv {
        border: #211b1b;
        border-width: 5rem;
        border-radius: 25px;
        position: relative;
        z-index: 1;
        background: #ffffff;
        max-width: 360px;
        margin: 0 auto 100px;
        padding: 30px;
        box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 20px 20px 0 rgba(0, 0, 0, 0.24);
    }
    body {
        background: #134987;
        font-family: sans-serif;
    }
    .form-login-card {
        max-width: 400px;
    }

    .form-login-heading {
    margin-bottom: 10px;
    }
    

    .logo{
        width: 80px;
        height: auto;
    }
    .logo-small{
        margin-right: 2px;
        width: 30px;
        height: auto;
    }

    .wordLine {
        width: 100%; 
        text-align: center; 
        border-bottom: 1px solid #adb5bd; 
        line-height: 0.1em;
        margin: 40px 0 30px; 
     } 
     
    .wordLine span { 
         background:#fff; 
         padding:0 10px; 
     }

  </style>
{% endblock styles %}
{% load socialaccount %}
{% block content %}

<div class="login" >
    <div class="container">
        <div class="d-flex flex-column min-vh-100 justify-content-center align-items-center">
            <div class="card p-4" style="width: 500px;" >
                <div class="text-center mb-4">
                    <img class="logo" src="/static/images/madbot-logo.png" />
                </div>
                <h1 class="text-center"><b>Sign in with Madbot</b></h1>
                <form role="form" method="post" action="{% url 'login' %}">
                    {% csrf_token %}
                    <div class="mb-3">
                        <input id="{{ form.username.auto_id }}" type="text" name="{{ form.username.name }}" class="form-control input-lg" placeholder="Username" required>
                    </div>
                    <div class="mb-3">
                        <input id="{{ form.password.auto_id }}" type="password" name="{{ form.password.name }}" class="form-control input-lg" placeholder="Password" required>
                    </div>
                    <div class="mb-3"><a href="{% url 'account_reset_password' %}" >Forgot Password?</a></div>
                    
                    <input type="hidden" name="next" value="{{ next }}" />
                    <div class="d-grid gap-2"><input value="Login" type="submit" class="btn btn-primary" /></div>
                    
                </form>
                {% if form.errors %}
                    <div class="alert alert-danger" role="alert">
                    Your username and password didn't match. Please try again.
                    </div>
                {% endif %}

                {% if socialaccount_providers %}
                    <p class="wordLine"><span><b>or with</b></span></p>
                    {% for provider in socialaccount_providers %}
                        {% if provider.id == "openid" %}
                            {% for brand in provider.get_brands %}
                                {% provider_login_url provider openid=brand.openid_url process=process as href %}
                                {% element provider name=brand.name provider_id=provider.id href=href %}
                                {% endelement %}
                            {% endfor %}
                        {% endif %}
                        
                        <div class="d-grid gap-2">
                            {% provider_login_url provider process=process scope=scope auth_params=auth_params as href %}
                            <a href="{{ href }}" class="btn btn-light mb-1" role="button"> {{provider.name}}</a>
                        </div>
                    {% endfor %}
                {% endif %}  
            </div>
        </div>
    </div>
</div>
{% endblock content %}
